v1.0.0
OpenAPI 3.1.0
List broadcast actions
Client Libraries
US region
Returns the actions that occur as a part of a broadcast.
If a message block contains multiple languages, this endpoint returns an object for each language variant. Each language variant includes the multi_language_branch_action_id property with the same value. Use this id to retrieve metrics for each language variant in a single request through Get broadcast action metrics.
The identifier of a broadcast.
The broadcastID, actionID or triggerID is invalid.
The broadcast, action, and/or trigger do not exist.
curl https://api.customer.io/v1/broadcasts/1/actions \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"actions": [
{
"bcc": "string",
"body": "string",
"body_amp": "string",
"broadcast_id": 2,
"cc": "string",
"created": 1552341937,
"deduplicate_id": "15:1492548073",
"fake_bcc": true,
"from": "sentFrom@example.com",
"from_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]",
"id": 96,
"language": "fr",
"layout": "string",
"multi_language_branch_action_id": 23,
"name": "Opening Message",
"preheader_text": "string",
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"sending_state": "automatic",
"subject": "Did you get that thing I sent you?",
"type": "email",
"updated": 1552341937
}
]
}Returns broadcast actions. Each object represents an individual variant for this broadcast.